Bug 526633 - Review Request: gargi-fonts - A Devanagari font
Summary: Review Request: gargi-fonts - A Devanagari font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-01 06:39 UTC by Ankur Sinha (FranciscoD)
Modified: 2009-12-01 04:45 UTC (History)
5 users (show)

Fixed In Version: 1.9-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:31:09 UTC
Type: ---
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2009-10-01 06:39:18 UTC
Spec URL: http://ankursinha.fedorapeople.org/gargi/gargi-fonts.spec
SRPM URL: http://ankursinha.fedorapeople.org/gargi/gargi-fonts-1.9-1.fc11.src.rpm
Description: A Free Unicode OpenType Font

more info on the mock build etc. can be found here:

http://ankursinha.fedorapeople.org/gargi/

Comment 1 Ankur Sinha (FranciscoD) 2009-10-01 06:43:45 UTC
hi,

As always, I'm not too sure of the fontconfig. The prio seems okay? I'm not sure if its a sans-serif or a fantasy, since I can't decide if this font can be used for long professional texts. It's the Devanagari script, so could be used. 

regards,

Ankur

Comment 2 Nicolas Mailhot 2009-10-01 22:08:48 UTC
(In reply to comment #1)
> I'm not
> sure if its a sans-serif or a fantasy, since I can't decide if this font can be
> used for long professional texts. It's the Devanagari script, so could be used. 

Well, I don't read Devanagari at all, and the font has no OS/2 metadata, please ask upstream or the i18n for clarification (and as last resort use fantasy as that's the safest choice)

Comment 3 Nicolas Mailhot 2009-10-01 22:21:57 UTC
Anyway, thanks a lot for adding a new font package in the review pipe

Appart from the CSS classification I can't really help you with, here is some review:

1. non LGC font ⇒ please use a priority ≥ 65 as per fontconfig-priorities.txt

2. please ask the lohit people what they think about this font. IMHO it is highly likely one of the lohit fonts shares a common ancestry with gargi (and in that case they should at least cross-alias each other)

3. Licensing should be GPLv2+

4. (non blocking) please ask upstream to add the standard FSF GPL font exception to their licensing

5. (non blocking) description could use some meat

Anyway, this package is mostly fine, except for the classification problem.

NEEDINFO till this is resolved

Comment 4 Pravin Satpute 2009-10-05 10:55:16 UTC
(In reply to comment #3) 
> 2. please ask the lohit people what they think about this font. IMHO it is
> highly likely one of the lohit fonts shares a common ancestry with gargi (and
> in that case they should at least cross-alias each other)

while comparing lohit devanagari script fonts (marathi, hindi, konkani, nepali, sindhi and kashmiri)

There are little bit differences in lohit and Gargi
i.e Gargi fonts shape are little more Bold compare to lohit,
space of gargi is more than lohit
there are also little bit differences in characters shape

but overall as said above yes, they share common style(Sans) and ancestry.

between how corss-alias will work?

Comment 5 Nicolas Mailhot 2009-10-05 11:13:19 UTC
(In reply to comment #4)
> (In reply to comment #3) 
> > 2. please ask the lohit people what they think about this font. IMHO it is
> > highly likely one of the lohit fonts shares a common ancestry with gargi (and
> > in that case they should at least cross-alias each other)
> 
> while comparing lohit devanagari script fonts (marathi, hindi, konkani, nepali,
> sindhi and kashmiri)
> 
> There are little bit differences in lohit and Gargi
> i.e Gargi fonts shape are little more Bold compare to lohit,
> space of gargi is more than lohit
> there are also little bit differences in characters shape

Ok, that means that they probably were not forked from a common root after all, so no need to cross-alias

> but overall as said above yes, they share common style(Sans) and ancestry.
> 
> between how corss-alias will work?

cross-alias is when package B tells fontconfig : if app asks for font A, and it is not present, use my font B instead (and the reverse in package A). We do it for DejaVuLGC/DejaVu for example. But this kind of aliasing is only worth it when fonts are very close in style or metrics, typically when two projects took the same origin font and froked it in different ways

Comment 6 Nicolas Mailhot 2009-10-05 11:16:03 UTC
Ankur, please use Sans as classification and I'll approve the package (if you fixed the other bits. Also, please make sure your fontconfig prio is > Lohit Devanagari so Lohit stays the default

Comment 7 Ankur Sinha (FranciscoD) 2009-10-05 13:11:41 UTC
(In reply to comment #3)
> Anyway, thanks a lot for adding a new font package in the review pipe
> 
> Appart from the CSS classification I can't really help you with, here is some
> review:
> 
> 1. non LGC font ⇒ please use a priority ≥ 65 as per fontconfig-priorities.txt
> 

I'll check up the prio for the lohit font and fix this.. 

> 3. Licensing should be GPLv2+

Fixed. Will upload a new build in a day max.

> 
> 4. (non blocking) please ask upstream to add the standard FSF GPL font
> exception to their licensing

Contacted upstream, no response yet :(

> 
> 5. (non blocking) description could use some meat

I copied whatever I got from the font homepage. There's no readme etc to get more from. 

> Anyway, this package is mostly fine, except for the classification problem.
> 
> NEEDINFO till this is resolved  

(In reply to comment #6)
> Ankur, please use Sans as classification and I'll approve the package (if you
> fixed the other bits. Also, please make sure your fontconfig prio is > Lohit
> Devanagari so Lohit stays the default  

Okay, ill fix up the fontconfig.  I cant do much about some of the other bits (stated above)

regards,
Ankur

Comment 8 Ankur Sinha (FranciscoD) 2009-10-16 09:53:53 UTC
hi,

Sorry for the delay, got stuck in bed wid flu :(

Fixed up whatever I could, 

- fontconfig
- given prio as 69 (lowest?, hope that isnt tooo low)
- fixed license to gplv2+, no response from upstream about it yet, 
- no idea what to write in there to juice up the description, sorry.

spec: http://ankursinha.fedorapeople.org/gargi/gargi-fonts.spec
srpm: http://ankursinha.fedorapeople.org/gargi/gargi-fonts-1.9-2.fc11.src.rpm

the rest: http://ankursinha.fedorapeople.org/gargi/

regards,

Ankur

Comment 9 Nicolas Mailhot 2009-10-16 20:55:48 UTC
Ankur,

I hope you've recovered completely and are well now

There is absolutely no problem with a review sleeping some time, what's not ok is making someone work on a review then vanishing, but as long as you come back in a reasonable delay everything is fine.

This version is good. If you hear from upstream make them write a better description.

⚺⚺⚺ APPROVED ⚺⚺⚺

You can continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation on the fonts mailing list.

Thank you for your contribution to our font package pool.

⇒ REASSIGNING

Comment 10 Ankur Sinha (FranciscoD) 2009-10-19 08:17:42 UTC
(In reply to comment #9)
> Ankur,
> 
> This version is good. If you hear from upstream make them write a better
> description.

I'll recontact them. Lets hope for a reply this time. 

> 
> ⚺⚺⚺ APPROVED ⚺⚺⚺
> 
> You can continue from
> http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
> 
Continuing from here. 

> I hope the process was pleasant, and that it will inspire you to package other
> fonts for Fedora. Please do not hesitate to suggest improvements to our
> organisation on the fonts mailing list.
> 

Yup, it was pleasant and I'm going to continue packaging fonts :) . You're taking good care of the fonts-sig, I really have no improvements to point out yet. :)

> Thank you for your contribution to our font package pool.
> 
> ⇒ REASSIGNING

Comment 11 Ankur Sinha (FranciscoD) 2009-10-19 08:20:06 UTC
New Package CVS Request
=======================
Package Name: gargi-fonts
Short Description: A Free Unicode OpenType Font
Owners: ankursinha
Branches: F-12 F-11 F-10
InitialCC: fonts-sig

Comment 12 Kevin Fenzi 2009-10-19 16:27:48 UTC
cvs done.

Comment 13 Fedora Update System 2009-10-19 19:00:07 UTC
gargi-fonts-1.9-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gargi-fonts-1.9-2.fc10

Comment 14 Fedora Update System 2009-10-19 19:07:32 UTC
gargi-fonts-1.9-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gargi-fonts-1.9-2.fc11

Comment 15 Fedora Update System 2009-10-19 19:15:48 UTC
gargi-fonts-1.9-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gargi-fonts-1.9-2.fc12

Comment 16 Fedora Update System 2009-10-21 00:50:38 UTC
gargi-fonts-1.9-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gargi-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10660

Comment 17 Fedora Update System 2009-10-21 00:57:25 UTC
gargi-fonts-1.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gargi-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10712

Comment 18 Fedora Update System 2009-12-01 04:31:02 UTC
gargi-fonts-1.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-12-01 04:45:47 UTC
gargi-fonts-1.9-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.